#ifndef PROTOTYPE1_SRC_L1_ANNE_LIZA_H
#define PROTOTYPE1_SRC_L1_ANNE_LIZA_H

#include "../codegen/util_template_inst.h"

void generate_liza_l1_headers() {
    SpanU8 l = cstr("l1");
    SpanU8 ns = cstr("liza");
    mkdir_nofail("l1/eve/liza");
    // todo: continue OptionT + util_templates_instantiation_options refactoring from here
    generate_util_templ_inst_eve_header(l, ns, (util_templates_instantiation_options){
        .T = cstr("BoxLizaSound"), .vec = true});
    generate_util_templ_inst_eve_header(l, ns, (util_templates_instantiation_options){
        .T = cstr("PlayingSound"), .vec_extended = true});
    generate_util_templ_inst_eve_header(l, ns, (util_templates_instantiation_options){
        .T = cstr("BoxLizaInstrument"), .vec = true});
    generate_util_templ_inst_eve_header(l, ns, (util_templates_instantiation_options){
        .T = cstr("MyInstrument"), .vec = true});
}

#endif